<?php
namespace Claromentis\Core\Ai\Events;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"] ?: array()) + array("_db6f0ba0791e9a635407659a9fe0" . "4e40" => base64_decode("aXNfb2JqZ" . "WN0"), "_7f628626dd1d55c71b1fc0932ffd1d" . "2c" => base64_decode("aXNfYX" . "JyYXk="));
use Claromentis\Core\Ai\Parts\PartInterface;
use Symfony\Component\EventDispatcher\GenericEvent;
use Webmozart\Assert\Assert;
class AiEvent extends GenericEvent
{
    
    
    
    
    
    public function __construct($_9961f986823b4be7f5c4cc8379c6b228, array $arguments = [])
    {
        if ($GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_7f62862" . "6dd1d55c" . "71b1fc09" . "32ffd1d2" . "c"]($_9961f986823b4be7f5c4cc8379c6b228)) {
            Assert::allIsInstanceOf($_9961f986823b4be7f5c4cc8379c6b228, PartInterface::class);
        } elseif ($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_db6f0ba0791e9a63540" . "7659a9fe04e40"]($_9961f986823b4be7f5c4cc8379c6b228)) {
            Assert::isInstanceOf($_9961f986823b4be7f5c4cc8379c6b228, PartInterface::class);
        } else {
            Assert::string($_9961f986823b4be7f5c4cc8379c6b228);
        }
        parent::__construct($_9961f986823b4be7f5c4cc8379c6b228, $arguments);
    }
    
    
    
    
    public function getParts()
    {
        return $this->getSubject();
    }
}